<?php
	session_start();
	include "conn/conn.php";
		$password = $_POST[password];
		$sex = $_POST[sex];
		$email = $_POST[email];
		$qq = $_POST[qq];
		$http = $_POST[http];
		$up_sqlstr = "update tb_music_user set tb_music_pass = '$password',tb_music_sex='$sex',tb_music_email='$email',tb_music_qq='$qq',tb_music_homepage='$http' where tb_music_id = ".$_POST[id];
	if($conn->Execute($up_sqlstr) == false){
		echo "<script>alert('修改错误：".$conn->Errormsg()."');history.go(-1);</script>";
	}
	else{

$sqlstr = "select * from tb_music_user where tb_music_id = ".$_POST[id]."";
	$u_rst = $conn->execute($sqlstr);
	if(!$u_rst->EOF){
			$_SESSION[names]=$u_rst->fields[1];
			$_SESSION[id]=$u_rst->fields[0];
			$_SESSION[countes]=$u_rst->fields[10];
			}
		echo "<script>alert('信息修改成功!');window.close();</script>";
	}
?>